Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
advanced_transfers
List Advanced Transfers
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/advanced_transfers
import requests

url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/advanced_transfers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/advanced_transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "advanced_transfers": [
    {
      "id": "<string>",
      "type": "ADVANCED_TRANSFER_TYPE_BLIND_MATCH",
      "fund_movements": [
        {
          "id": "<string>",
          "source": {
            "value": "0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27",
            "address": 6.6325114945411165e+47,
            "account_identifier": "387879289"
          },
          "target": {
            "value": "0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27",
            "address": 6.6325114945411165e+47,
            "account_identifier": "387879289"
          },
          "currency": "<string>",
          "amount": "<string>"
        }
      ],
      "blind_match_metadata": {
        "reference_id": "<string>",
        "settlement_date": "<string>",
        "trade_date": "<string>",
        "settlement_time": "<string>"
      }
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "sort_direction": "DESC",
    "has_next": true
  }
}

Path Parameters

portfolio_id
string
required

The portfolio ID

Query Parameters

state
enum<string>

The state of the Advanced Transfer to filter by

Available options:
ADVANCED_TRANSFER_STATE_CREATED,
ADVANCED_TRANSFER_STATE_PROCESSING,
ADVANCED_TRANSFER_STATE_DONE,
ADVANCED_TRANSFER_STATE_CANCELLED,
ADVANCED_TRANSFER_STATE_FAILED,
ADVANCED_TRANSFER_STATE_EXPIRED
type
enum<string>

The type of the Advanced Transfer to filter by

Available options:
ADVANCED_TRANSFER_TYPE_BLIND_MATCH
cursor
string

The cursor to use for pagination

limit
integer<int32>

The maximum number of Advanced Transfers to return

sort_direction
enum<string>
default:DESC

Page sorting direction

Available options:
DESC,
ASC
start_time
string<date-time>

UTC timestamp of creation from which to filter the response (inclusive, ISO-8601 format)

end_time
string<date-time>

UTC timestamp of creation until which to filter the response (exclusive, ISO-8601 format)

reference_id
string

The reference ID of the Advanced Transfer to filter by

Response

200 - application/json

A successful response.

ListAdvancedTransfersResponse contains the list of advanced transfers and pagination info.

advanced_transfers
object[]
required
pagination
object